#include <bits/stdc++.h>
using namespace std;
//#define endl '/n';
long long n,a[100008],i,c,k,l,p;
int main() {
   // ios_base::sync_with_stdio(0);
   // cin.tie(0);
   // cout.tie(0);
    c=0;
    k=0;
    l=0;
    p=1;
	cin>>n;
    for(i=1;i<=n;i++) cin>>a[i];
 
     while(p<3){
     p++;
 for(i=1;i<=n;i++) {
     if(a[i]>c) c=a[i];
 }
 for(i=1;i<=n;i++) {
     if(a[i]<c && a[i]>0) a[i]=a[i]-1;
     if(a[i]==c && k==0) {a[i]=a[n+1];
    
     k++;}}
    l+=c;

     }
  

 cout<<l;
    return 0;
}
